/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * $Id: EmptyDocumentSet.java 511426 2007-02-25 03:25:02Z vgritsenko $
 */

package org.apache.xindice.core.data;

import org.apache.xindice.core.Container;

import org.w3c.dom.Document;

/**
 * EmptyDocumentSet implements an empty DocumentSet.
 *
 * @version $Revision: 511426 $, $Date: 2007-02-24 22:25:02 -0500 (Sat, 24 Feb 2007) $
 */
public final class EmptyDocumentSet implements DocumentSet {
    public boolean hasMoreDocuments() {
        return false;
    }

    public Document getNextDocument() {
        return null;
    }

    public Container getNextContainer() {
        return null;
    }
}
