/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * $Id: DOMStringListImpl.java 511426 2007-02-25 03:25:02Z vgritsenko $
 */

package org.apache.xindice.xml.dom;

import org.w3c.dom.DOMStringList;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

/**
 *
 * @version $Revision: 511426 $, $Date: 2007-02-24 22:25:02 -0500 (Sat, 24 Feb 2007) $
 */
public class DOMStringListImpl implements DOMStringList {

    private List list;


    DOMStringListImpl() {
        list = new ArrayList();
    }

    DOMStringListImpl(String[] strings) {
        list = Arrays.asList(strings);
    }

    public String item(int index) {
        try {
            return (String) list.get(index);
        } catch (IndexOutOfBoundsException e) {
            return null;
        }
    }

    public int getLength() {
        return list.size();
    }

    public boolean contains(String str) {
        return list.contains(str);
    }
}
